## ./crawl.py

Crawler for Trafikverkets API

```
usage: crawl.py [-h] [-s] [-c] -l locationSignature [-o path] [-w webhookurl] [-a authkey] [-v] objecttype

Crawls Trafikverket's Trafikinfo API

positional arguments:
  objecttype            the API objecttype to crawl

optional arguments:
  -h, --help            show this help message and exit
  -s, --stream          use streaming in real-time instead of daily crawling
  -c, --compress        write zip compressed csv files
  -l locationSignature, --locationSignature locationSignature
                        the location signature of the station to crawl data for
  -o path, --output path
                        the output folder
  -w webhookurl, --webhook webhookurl
                        Webhook URL to trigger when warnings or exceptions occur
  -a authkey, --authkey authkey
                        The API authkey to use as obtained from https://api.trafikinfo.trafikverket.se/Account/Register
  -v, --verbose         Prints extra debug information
```


## ./Analysis/process_raw_data.R

Functions to create processed datasets from the raw data

`process_announcements()` generates
* /Processed/announcements.csv - All announcements in one file
* /Processed/announcements_latest.csv - Only the latest announcement for each arrival/departure in one file
* /Processed/trains.csv - One row per train including arrival/departure in one file

`process_messages()` generates
* /Processed/messages.csv - All announcements in one file
* /Processed/messages_latest.csv - Only the latest announcement for each arrival/departure in one file

